Retrieve a subscription by external key
Use this endpoint to retrieve all details of a subscription, if you have the unique custom identifier supplied when creating the subscription.
Authorizations
Path Parameters
The unique custom identifier supplied in the externalKey property when creating the subscription
An optional unique identifier for the subscription, meaningful to the API consumer. This must be a globally unique, opaque string.
Use this identifier as an alternative to the subscriptionId assigned by Bango.
"my-external-identifier"
Query Parameters
Response
Subscription found
A subscription record in the Bango Platform
How frequently the user is billed. For the avoidance of doubt:
- BIWEEKLY = every 2 weeks
- BIMESTRIAL = every 2 months
- BIANNUAL = every 6 months
- BIENNIAL = every 2 years
MONTHLY, DAILY, WEEKLY, BIWEEKLY, THIRTY_DAYS, SIXTY_DAYS, NINETY_DAYS, BIMESTRIAL, QUARTERLY, TRIANNUAL, BIANNUAL, ANNUAL, BIENNIAL, NO_BILLING_PERIOD The unique identifier for the plan detailing the prices and offer periods associated with the subscription. Bango use NCName type which means that the planName cannot contain several symbol characters like :, @, $, %, &, /, +, ,, ;, whitespace characters or different parenthesis.
"bango-music-3-months-free"
The current state of a subscription.
A subscription starts in ACTIVE if it's created with entitlementStartDate set to today's date or a past date. It starts in PENDING if entitlementStartDate is set to a future date, and automatically transitions to ACTIVE on that date.
A subscription is CANCELLED when the user no longer has access to the product or service. (A subscription scheduled to be cancelled at a future date is still ACTIVE until that date, and until then it can be uncancelled.)
ACTIVE, PENDING, CANCELLED 
